%grade_plots.m
%modified 5/17/03 by A. Ruina
%Distribution plots  of the raw grades 

figure(1) ;   clf; % The distributions of raw grades 
set(1,'PaperPosition', [.25 .25 8 10]) %makes better printout
			   
subplot(5,2,1)
    title( [ 'Distributions of various raw (not scaled) scores'  ,   ] );
    axis('off')
subplot(5,2,2)
   title(  '(Stretch window if text overlap.) May 17, 2003'     );
    axis('off')





subplot(5,2,3)
    hist(labs,12 +(0:20)/4)
    title( ['labs (ave), med=', num2str(median(labs)), ...
	        '  max=' ,   num2str(max(labs))  ]);
    ylabel('# of students')
	axis([11.5 15.5 0 30])

% subplot(5,2,5)
%     hist(project,[0 1 2 3 4 5])
%     title('Extra Credit Project'    );
%     ylabel('# of studs')
% 	axis([.5 5.5 0 5])

subplot(5,2,9)
    hist(ceval,[0 1])
    title(  'Course evaluation bonus'   );
    xlabel('Scores')
    ylabel('# of studs')

	

subplot(5,2,4)
    hist(quizhwave,20)
    title( ['best 6 of quiz HW,  med=', num2str(median(quizhwave)),  ...  
	        '   max=' , num2str(max(quizhwave))  ]);
    ylabel('# of studs')
	xlabel('Score: hw scaled to 10, combined score scaled to 50.')
	axis([0 50 -inf inf])
			
% subplot(5,2,6)
%     hist(p2,20)
%     title( ['Prelim 2,  med=', num2str(median(p2)),  ...
% 	         ' max=' , num2str(max(p2))  ]);
%     ylabel('# of studs')
			
subplot(5,2,8)
    hist(hwave,20)
    title( ['homework,   med=', num2str(median(hwave)), ...
	         '  max=' , num2str(max(hwave))  ]);
    ylabel('# of studs')
	axis([0 12 0 80])
			
subplot(5,2,10)
    hist(final,20)
	title( ['Final exam, med=', num2str(median(final)), ... 
	         ',  max=', num2str(max(final))  ]);
    xlabel('Scores')
    ylabel('# of studs')
	

